%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:    guest-templates-json
Summary: Creates the default guest templates
Version: 1.0
Release: 59
License: BSD
Group:   System/Hypervisor
Source0: guest-templates-json-%{version}.tar.bz2
BuildArch: noarch
buildroot: %{_tmppath}/%{name}-%{version}-root

Requires: xapi-core
BuildRequires: python-devel
BuildRequires: python-setuptools

%description
Creates the default guest templates during first boot or package
install/upgrade.

%package data-linux
Summary: Contains the default Linux guest templates
Group:   System/Hypervisor
Requires(post): %{name} = %{version}-%{release}

%description data-linux
Contains the default Linux guest templates.

%package data-windows
Summary: Contains the default Windows guest templates
Group:   System/Hypervisor
Requires(post): %{name} = %{version}-%{release}

%description data-windows
Contains the default Windows guest templates.

%package data-xenapp
Summary: Contains the default XenApp guest templates
Group:   System/Hypervisor
Requires: %{name}-data-windows = %{version}-%{release}
Requires(post): %{name} = %{version}-%{release}

%description data-xenapp
Contains the default XenApp guest templates.

%package data-other
Summary: Contains the default other guest templates
Group:   System/Hypervisor
Requires(post): %{name} = %{version}-%{release}

%description data-other
Contains the default other guest templates.

%define templatedir %{_datadir}/xapi/vm-templates

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root %{buildroot}

install -d %{buildroot}%{templatedir}
install -m 644 json/*.json %{buildroot}%{templatedir}
install -d %{buildroot}%{_sysconfdir}/xapi.d/vm-templates

install -d %{buildroot}%{_sysconfdir}/firstboot.d
install -m 755 62-create-guest-templates %{buildroot}%{_sysconfdir}/firstboot.d

%post
/usr/bin/create-guest-templates > /dev/null ||:

%post data-linux
/usr/bin/create-guest-templates > /dev/null ||:

%post data-windows
/usr/bin/create-guest-templates > /dev/null ||:

%post data-xenapp
/usr/bin/create-guest-templates > /dev/null ||:

%post data-other
/usr/bin/create-guest-templates > /dev/null ||:

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{python_sitelib}/*
%dir %{templatedir}
%{_sysconfdir}/xapi.d/*
%{_sysconfdir}/firstboot.d/*

%files data-linux
%defattr(-,root,root,-)
%{templatedir}/base-debian*.json
%{templatedir}/base-el*.json
%{templatedir}/base-hvmlinux.json
%{templatedir}/base-kylin*.json
%{templatedir}/base-pvlinux.json
%{templatedir}/base-sl*.json
%{templatedir}/base-ubuntu*.json
%{templatedir}/kylin*.json
%{templatedir}/sl*.json

%files data-windows
%defattr(-,root,root,-)
%{templatedir}/base-windows*.json

%files data-xenapp
%defattr(-,root,root,-)
%{templatedir}/base-xenapp*.json

%files data-other
%defattr(-,root,root,-)

%changelog
